Bug 16228 - Move some patron entry form JavaScript into members.js again
Summary: Move some patron entry form JavaScript into members.js again
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-08 12:01 UTC by Owen Leonard
Modified: 2016-12-05 21:27 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16228 - Move some patron entry form JavaScript into members.js again (10.26 KB, patch)
2016-04-08 12:53 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16228 - Move some patron entry form JavaScript into members.js again (10.38 KB, patch)
2016-04-28 12:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16228 - Move some patron entry form JavaScript into members.js again (10.51 KB, patch)
2016-04-29 09:45 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16228 - Move some patron entry form JavaScript into members.js again (10.92 KB, patch)
2016-04-29 14:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16228 - Move some patron entry form JavaScript into members.js again (10.95 KB, patch)
2016-04-29 15:18 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-04-08 12:01:12 UTC
Bug 15206 undid the changes Bug 15692 made to memberentrygen.tt.
Comment 1 Owen Leonard 2016-04-08 12:53:45 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-04-21 13:55:11 UTC
Sorry, does not apply:

CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/members/memberentrygen.tt
Comment 3 Owen Leonard 2016-04-28 12:56:51 UTC Comment hidden (obsolete)
Comment 4 Marc Véron 2016-04-29 09:45:34 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-04-29 14:24:57 UTC
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/members/memberentrygen.tt
Comment 6 Owen Leonard 2016-04-29 14:50:15 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2016-04-29 15:18:20 UTC
Created attachment 51018 [details] [review]
Bug 16228 - Move some patron entry form JavaScript into members.js again

Bug 15206 undid the changes Bug 15692 made to memberentrygen.tt. This
patch re-removes the JS from the template and moves the additions made
by Bug 15206 into members.js.

Two other minor edits: Changes to quiet JSHint errors.

To test, apply the patch and repeat the test plan for Bug 15692. Confirm
that the following interactions still work on the patron entry form:

1. clear_entry(): With ExtendedPatronAttributes enabled, the "Clear"
   link next to any attribute form field should work to clear the field.

2. clone_entry(): With ExtendedPatronAttributes enabled and a repeatable
   attribute defined, it should be possible to click the "New" link to
   add another instance of that attribute's entry field.

3. update_category_code(): With ExtendedPatronAttributes enabled and an
   attribute defined which is limited to a single patron category,
   changing the patron category selection should correctly show or hide
   the attribute entry form.

4. select_user(): When adding or editing a patron with a "Child"
   category it should be possible to search for and select a guarantor
   to add to the record by clicking the "Set to patron" button.
   Selecting a new guarantor should change the text of the button from
   "Set to patron" to "Change."

5. noEnterSubmit(): This function should be correctly preventing you
   from hitting "ENTER" in any form field to submit the form.

6. guarantordelete(): When adding or editing a patron with a "Child"
   category, it should be possible to clear existing guarantor
   information by clicking the "Delete" button. Clicking the "Delete"
   button should change the text of the adjacent button to "Set to
   patron."

7. select_city(): With one or more cities defined it should be possible
   to use the drop-down menu of cities to populate the city, state, zip,
   and country fields.

8. Date of birth entry should have a maximum date limit of yesterday.
   The drop-down menu of years should go back 100 years.

9. Selecting a date of birth should replace the date format hint with a
   message showing the user's age in years or months. Test with values
   which will show an age of 1 month, between 2 and 11 months, 1 year,
   and more than one year.

10. Client-side validation rules should be in effect, requiring that a
   valid email address be entered in the primary email, secondary email,
   and alternate address email fields.

11.When editing a patron, the "Add manual restriction" link should
   display the form for adding a manual restriction, and clicking the
   "Cancel" link should hide it.

Followed test plan, everything works OK.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Kyle M Hall 2016-04-29 15:38:02 UTC
Pushed to master for the 16.05 release. Thanks again Owen!